Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.data
Class AdminAccess

    java.lang.Object
      org.esupportail.portal.channels.CIntranet.data.AdminAccess

public class AdminAccess
extends java.lang.Object

AdminAccess
Réalise les opérations relatives aux administrateurs dans la base de données
(c)Copyright ESup-Portail 2004

Version:
  $Revision: 1.1.2.2 $
Author:
  Mathieu Larchet

Constructor Summary
`AdminAccess()`

Method Summary
`static void` | `addAdmin(org.esupportail.portal.utils.database.Query query, java.lang.String id)` Ajoute un administrateur
`static java.util.List` | `getAdmins(org.esupportail.portal.utils.database.Query query)` Retourne la liste des administrateurs
`static void` | `removeAdmin(org.esupportail.portal.utils.database.Query query, java.lang.String id)` Supprime un administrateur

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdminAccess

    public AdminAccess()

Method Detail

### getAdmins

    public static java.util.List getAdmins(org.esupportail.portal.utils.database.Query query)
                                    throws DataException

  Retourne la liste des administrateurs

  Parameters:
    `query` - La connexion à utiliser
  Returns:
    admins La liste
  Throws:
    `DataException`

### addAdmin

    public static void addAdmin(org.esupportail.portal.utils.database.Query query,
                                java.lang.String id)
                         throws DataException

  Ajoute un administrateur

  Parameters:
    `query` - La connexion à utiliser
    `id` - L'identifiant de l'utilisateur
  Throws:
    `DataException`

### removeAdmin

    public static void removeAdmin(org.esupportail.portal.utils.database.Query query,
                                   java.lang.String id)
                            throws DataException

  Supprime un administrateur

  Parameters:
    `query` - La connexion à utiliser
    `id` - L'identifiant de l'utilisateur
  Throws:
    `DataException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD